<!DOCTYPE html>
<html>
    <header>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD" crossorigin="anonymous">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">
        <link rel="stylesheet" href="src/students.css">
        <title>Chat</title>
    </header>
    <body>
        <nav class="navbar navbar-expand-md bg-body-secondary fixed-top">
            <div class="container-fluid">
                <a class="navbar-brand" href="#">CMS</a>
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item px-2">
                        <div class="dropdown">
                            <div class="dropbtn">
                                <i class="bi bi-bell navbar-icon" ondblclick="launchAnimation()"></i>
                                <div id="bell-indicator"></div>
                            </div>
                            <div class="dropdown-content" style="width: 260px;">
                                <br>
                                <div style="float: left">
                                    <i class="bi bi-person-circle messages-icon"></i>
                                    <br>
                                    Admin
                                </div>
                                <div class="rounded-rectangle" style="float: right">
                                </div>
                            </div>
                        </div>
                    </li>
                    <li class="nav-item px-2">
                        <div class="dropdown">
                            <div class="dropbtn">
                               <i class="bi bi-person navbar-icon"></i>
                                <a href="#" id="profile-name">Log in...</a>
                            </div>
                            <div class="dropdown-content" id="navbar-dropdown" style="width: 150px;">
                                <a href="#" onclick="logInClick()">Log in</a>
                                <a href="#" onclick="registerClick()">Register</a>
                            </div>
                        </div>
                    </li>
                </ul>
            </div>
        </nav>
        <div class="sidebar bg-body-secondary">
            <a href="#"><i class="bi bi-speedometer2 navbar-icon"></i> Dashboard</a>
            <a href="#"><i class="bi bi-table navbar-icon"></i> Students</a>
            <a href="#"><i class="bi bi-list-task navbar-icon"></i> Tasks</a>
        </div>
        <div class="main">
            <div class = "col-lg-9 col-md-12">    
                <div class="row">
                  <div class="chat-box col-4 m-2">
                    <div class="row">
                      <div class="col d-flex align-items-center">
                        <p class="m-2" style="font-weight: bold;">Chat room</p>
                      </div>
                      <div class="col d-flex align-items-center justify-content-end">
                        <input type="button" id="btn-load-modal" class="form-button" value="Add chat..." onclick="addChatClick()"></input>
    
                      </div>
                    </div>
                    <div id="name-chats-box" class="row d-flex">
                    </div>
                    
                  </div>
                  <div class="chat-box col-7 m-2">
                    <div class="d-flex justify-content-between mt-3 mb-3">
                      <h5 style="font-weight: bold;">Chat room <span id="chat-name"></span></h5>
                      <input type="button" id="btn-remove-chat" class="form-button" value="Remove chat" onclick = "removeRoom()" ></input>
                      <input type="button" id="btn-leave-chat" class="form-button" value="Leave" onclick="leaveRoom()" ></input>
                    </div>
                    <h6>Members</h6>
                    <div id="users-container">
                    </div>
                    <h6 class="mt-2">Messages</h6>
                    <div id="all-mess" class="messages-container">
                    </div>
                    <form id="message-form">
                      <div class="input-group mb-3">
                        <input type="text" id="input-message" class="form-control" placeholder="Enter your message...">
                        <input type="submit" id="btn-send-message" class="form-button" value="Send" ></input>
                      </div>
                    </form>
                  </div>
                </div>
              </div>
        </div>
        <div id="log-in" class="modal">
            <div class="modal-content">
                <span class="close" onclick="logInCloseClick()">&times;</span>
                <h3>Log in...</h3>
                <hr>
                <form id="login-form">
                    <label for="login-email" style="width: 150px;">Email:</label>
                    <input type="text" id="login-email" name="login-email" style="width: 150px;"><br><br>
                    <label for="login-password" style="width: 150px;">Password:</label>
                    <input type="password" id="login-password" name="login-password" style="width: 150px;"><br><br>
                    <div style="float: right; text-align: right;">
                        <button class="form-button" type="submit" id="login-submit" onclick="logInOKClick()">OK</button>
                    </div>
                </form>
            </div>
        </div>
        <div id="register" class="modal">
            <div class="modal-content">
                <span class="close" onclick="registerCloseClick()">&times;</span>
                <h3>Register...</h3>
                <hr>
                <form id="register-form">
                    <label for="register-name" style="width: 150px;">Name:</label>
                    <input type="text" id="register-name" name="register-name" style="width: 150px;"><br><br>
                    <label for="register-email" style="width: 150px;">Email:</label>
                    <input type="text" id="register-email" name="register-email" style="width: 150px;"><br><br>
                    <label for="register-password" style="width: 150px;">Password:</label>
                    <input type="password" id="register-password" name="register-password" style="width: 150px;"><br><br>
                    <div style="float: right; text-align: right;">
                        <button class="form-button" type="submit" id="register-submit" onclick="registerOKClick()">OK</button>
                    </div>
                </form>
            </div>
        </div>
        <div id="add-chat" class="modal">
            <div class="modal-content">
                <span class="close" onclick="addChatCloseClick()">&times;</span>
                <h3>Add chat...</h3>
                <form id="add-chat-form">
                    <label for="add-chat-name" style="width: 150px;">Chat name:</label>
                    <input type="text" id="add-chat-name" name="add-chat-name" style="width: 150px;"><br><br>
                    <div style="float: right; text-align: right;">
                        <button class="form-button" type="submit" id="add-chat-submit" onclick="addChat()">OK</button>
                    </div>
                </form>
            </div>
        </div>
        <div id="add-members" class="modal">
            <div class="modal-content">
                <span class="close" onclick="addMembersCloseClick()">&times</span>
                <h3>Add members...</h3>
                <form id="add-members-form">
                    <label for="add-members-select" style="width: 150px;">Select members:</label>
                    <select class="form-select" id="add-members-select" name="add-members-select" multiple></select><br><br>
                    <div style="float: right; text-align: right;">
                        <button class="form-button" type="submit" id="add-members-submit" onclick="addMembers()">OK</button>
                    </div>
                </form>
            </div>
        </div>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js" integrity="sha384-w76AqPfDkMBDXo30jS1Sgez6pr3x5MlQ1ZAGC+nuZB+EYdgRZgiwxhTBTkF7CXvN" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/1.4.0/axios.min.js"></script>
        <script src="/socket.io/socket.io.js"></script>
        <script src="src/chat.js"></script>
      </body>
</html>